﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataTreeConditionalCPDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
        }

        Random r = new Random();
        int count = 0;
        private void textBlockUpdate_Click(object sender, RoutedEventArgs e)
        {
            List<SampleData> list = vm.Data.Where(s => s.UseTextBlock == true).ToList();
            SampleData sd = list[r.Next(list.Count)];
            sd.Label = "NEW UPDATE " + count.ToString();
            count++;
        }

        private void textEditorUpdate_Click(object sender, RoutedEventArgs e)
        {
            List<SampleData> list = vm.Data.Where(s => s.UseTextEditor == true).ToList();
            SampleData sd = list[r.Next(list.Count)];
            sd.Label = "NEW UPDATE " + count.ToString();
            count++;
        }

        private void dateTimeUpdate_Click(object sender, RoutedEventArgs e)
        {
            List<SampleData> list = vm.Data.Where(s => s.UseDateTimeEditor == true).ToList();
            SampleData sd = list[r.Next(list.Count)];
            sd.Date = DateTime.Today.AddDays(r.Next(100));            
        }
    }
}
